package types

import "gitp78su.ipnodns.ru/svi/goarch/lev0/alias"

// IViewCoord -- интерфейс координат
type IViewCoord interface {
	// X -- возвращает координату X
	X() alias.CoordX
	// Y -- возвращает координату Y
	Y() alias.CoordY
	// Get -- возвращает координаты
	Get() (alias.CoordX, alias.CoordY)
	// Int -- возвращает целые координаты
	Int() (int, int)
}
